#ifndef PQHTTPFROMDATA_H
#define PQHTTPFROMDATA_H

#include <QHttpMultiPart>
#include <QMap>
#include <QHash>
#include <QNetworkAccessManager>
#include <QNetworkRequest>

class QNetworkReply;

namespace PQ {

class PQHttpFormData : public QHttpMultiPart
{
    Q_OBJECT
public:
    explicit PQHttpFormData(QObject *parent = nullptr);

    void set(const QString & key,const QString & v);

    void set(const QMap<QString,QString> & v);

    void set(const QHash<QString,QString> & v);

    QString contentType();

    QNetworkReply * postThis(QNetworkAccessManager * manger,QNetworkRequest & request);
    QNetworkReply * putThis(QNetworkAccessManager * manger,QNetworkRequest & request);
signals:

};

}
#endif // PQHTTPMUTIPART_H
